Debian Bug report logs - #362313
xserver-xorg dependency hell

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: Bill Allombert <allomber@math.u-bordeaux.fr>

Date: Thu, 13 Apr 2006 09:48:26 UTC

Severity: important

Tags: help

Merged with 412737

Found in versions 2:1.1.1-10, xorg-server/2:1.1.1-18, xserver-xorg-core/1:7.0.10

Fixed in version xorg-server/2:1.9.4-2

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: submit@bugs.debian.org
Subject: xserver-xorg dependency hell
Date: Thu, 13 Apr 2006 11:43:03 +0200
Package: xserver-xorg-core
Version: 1:7.0.10
Severity: important

Hello X Strike Force,

The new modular xserver-xorg create a circular dependency hell:

Here the dependency graph:
<http://debian.semistable.com/dot/xserver-xorg-video-vmware_unstable.png>
Here the list of packages involved:

xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev
xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark
xserver-xorg-video-ati xserver-xorg-video-chips
xserver-xorg-video-cirrus xserver-xorg-video-cyrix
xserver-xorg-video-dummy xserver-xorg-video-fbdev
xserver-xorg-video-glint xserver-xorg-video-i128
xserver-xorg-video-i740 xserver-xorg-video-i810
xserver-xorg-video-imstt xserver-xorg-video-mga
xserver-xorg-video-newport xserver-xorg-video-nsc
xserver-xorg-video-nv xserver-xorg-video-rendition
xserver-xorg-video-s3 xserver-xorg-video-s3virge
xserver-xorg-video-savage xserver-xorg-video-sis
xserver-xorg-video-sisusb xserver-xorg-video-tdfx
xserver-xorg-video-tga xserver-xorg-video-trident
xserver-xorg-video-tseng xserver-xorg-video-vesa
xserver-xorg-video-vga xserver-xorg-video-via
xserver-xorg-video-vmware 

Such large amount of circular depdendencies create problems during
upgrade, testing migration etc. and should absolutly be avoided.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniels@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 362313@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniels@debian.org>
To: Bill Allombert <allomber@math.u-bordeaux.fr>, 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Thu, 13 Apr 2006 13:57:53 +0300
[Message part 1 (text/plain, inline)]
On Thu, Apr 13, 2006 at 11:43:03AM +0200, Bill Allombert wrote:
> The new modular xserver-xorg create a circular dependency hell:
> 
> Here the dependency graph:
> <http://debian.semistable.com/dot/xserver-xorg-video-vmware_unstable.png>
> Here the list of packages involved:
> 
> xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev
> xserver-xorg-video-all xserver-xorg-video-apm xserver-xorg-video-ark
> xserver-xorg-video-ati xserver-xorg-video-chips
> xserver-xorg-video-cirrus xserver-xorg-video-cyrix
> xserver-xorg-video-dummy xserver-xorg-video-fbdev
> xserver-xorg-video-glint xserver-xorg-video-i128
> xserver-xorg-video-i740 xserver-xorg-video-i810
> xserver-xorg-video-imstt xserver-xorg-video-mga
> xserver-xorg-video-newport xserver-xorg-video-nsc
> xserver-xorg-video-nv xserver-xorg-video-rendition
> xserver-xorg-video-s3 xserver-xorg-video-s3virge
> xserver-xorg-video-savage xserver-xorg-video-sis
> xserver-xorg-video-sisusb xserver-xorg-video-tdfx
> xserver-xorg-video-tga xserver-xorg-video-trident
> xserver-xorg-video-tseng xserver-xorg-video-vesa
> xserver-xorg-video-vga xserver-xorg-video-via
> xserver-xorg-video-vmware 
> 
> Such large amount of circular depdendencies create problems during
> upgrade, testing migration etc. and should absolutly be avoided.

Hi Bill,
That graph is basically unreadable for me, I'm afraid.

The dependency chain, as I envision it, looks something like
              /------- xserver-xorg  ------\
             /               |              \
xserver-xorg-core  xserver-xorg-input-all  xserver-xorg-video-all
                             |                        |
                     all input drivers        all video drivers

So, xserver-xorg Depends: xserver-xorg-core, xserver-xorg-input-all,
xserver-xorg-video-all.
xserver-xorg-input-all depends xserver-xorg-input-*.
xserver-xorg-video-all depends xserver-xorg-video-*.

xserver-xorg-core probably also Depends xserver-xorg, but that's a
circular dependency involving exactly two packages.

Cheers,
Daniel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 362313@bugs.debian.org (full text, mbox):

From: <allomber@math.u-bordeaux.fr>
To: Bill Allombert <allomber@math.u-bordeaux.fr>
Cc: 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Thu, 20 Apr 2006 18:57:38 +0200
On Thu, Apr 13, 2006 at 11:43:03AM +0200, Bill Allombert wrote:
> Package: xserver-xorg-core
> Version: 1:7.0.10
> Severity: important
> 
> Hello X Strike Force,
> 
> The new modular xserver-xorg create a circular dependency hell:

With version 1:1.0.2-5, things get worse:

Here the new graph:
<http://debian.semistable.com/dot/xserver-xorg-video-vmware_unstable.png>

and here the new list of packages involved:

xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev
xserver-xorg-input-synaptics xserver-xorg-video-all
xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati
xserver-xorg-video-chips xserver-xorg-video-cirrus
xserver-xorg-video-cyrix xserver-xorg-video-dummy
xserver-xorg-video-fbdev xserver-xorg-video-glint
xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-i810
xserver-xorg-video-imstt xserver-xorg-video-mga
xserver-xorg-video-newport xserver-xorg-video-nsc xserver-xorg-video-nv
xserver-xorg-video-rendition xserver-xorg-video-s3
xserver-xorg-video-s3virge xserver-xorg-video-savage
xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx
xserver-xorg-video-tga xserver-xorg-video-trident
xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-vga
xserver-xorg-video-via xserver-xorg-video-vmware

Here an example of circular depdendencies:

xserver-xorg-core -> xserver-xorg-video-all -> xserver-xorg-video-apm -> xserver-xorg-core

and 

xserver-xorg-core -> xserver-xorg-input-all -> xserver-xorg-input-evdev -> xserver-xorg-core

Cheers
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 362313@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: allomber@math.u-bordeaux.fr, 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Thu, 20 Apr 2006 19:50:21 +0200
On Thu, 2006-04-20 at 18:57 +0200, allomber@math.u-bordeaux.fr wrote:
> 
> xserver-xorg-core -> xserver-xorg-video-all -> xserver-xorg-video-apm -> xserver-xorg-core
> 
> and 
> 
> xserver-xorg-core -> xserver-xorg-input-all -> xserver-xorg-input-evdev -> xserver-xorg-core

Note that the -all links are really redundant, as every individual
driver can satisfy the xserver-xorg-core dependency on its own.

Do you have a better suggestion, given that the server requires at least
one video and input driver and that the drivers aren't useful without
the server?


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniels@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 362313@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniels@debian.org>
To: Michel Dänzer <daenzer@debian.org>, 362313@bugs.debian.org
Cc: allomber@math.u-bordeaux.fr
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Thu, 20 Apr 2006 19:35:18 +0100
On Thu, Apr 20, 2006 at 07:50:21PM +0200, Michel Dänzer wrote:
> On Thu, 2006-04-20 at 18:57 +0200, allomber@math.u-bordeaux.fr wrote:
> > xserver-xorg-core -> xserver-xorg-video-all -> xserver-xorg-video-apm -> xserver-xorg-core
> > 
> > and 
> > 
> > xserver-xorg-core -> xserver-xorg-input-all -> xserver-xorg-input-evdev -> xserver-xorg-core
> 
> Note that the -all links are really redundant, as every individual
> driver can satisfy the xserver-xorg-core dependency on its own.
> 
> Do you have a better suggestion, given that the server requires at least
> one video and input driver and that the drivers aren't useful without
> the server?

Have xserver-xorg Depends: -input-all and -video-all, and don't have
this from -core?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 362313@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Thu, 20 Apr 2006 21:17:30 +0200
On Thu, Apr 20, 2006 at 07:50:21PM +0200, Michel Dänzer wrote:
> On Thu, 2006-04-20 at 18:57 +0200, allomber@math.u-bordeaux.fr wrote:
> > 
> > xserver-xorg-core -> xserver-xorg-video-all -> xserver-xorg-video-apm -> xserver-xorg-core
> > 
> > and 
> > 
> > xserver-xorg-core -> xserver-xorg-input-all -> xserver-xorg-input-evdev -> xserver-xorg-core
> 
> Note that the -all links are really redundant, as every individual
> driver can satisfy the xserver-xorg-core dependency on its own.
> 
> Do you have a better suggestion, given that the server requires at least
> one video and input driver and that the drivers aren't useful without
> the server?

I might be mistaken, but as I see it the server require exactly 
the video drivers for the cards configured in the xorg.conf file.
If you have a ATI card, installing xserver-xorg-video-nv will fulfill
the xserver-xorg-core dependency but will do no good for the server.
Similarly installing xserver-xorg-input-synaptics will fulfill the 
dependency but will do nothing if you d not have a synaptics device.

So this is a case where a dependency cannot be expressed by the system.
In that case, we usually make them "recommends" and document them
in the packages description.

Secondly, since xserver-xorg is more or less mandatory and already
depends on xserver-xorg-video-all | xserver-xorg-video,
xserver-xorg-input-all | xserver-xorg-input, I think xserver-xorg-core
can get away with this dependency.

Thirdly, I don't think users can reasonnably expect the drivers packages
to depend on the server. They should only expect the dependencies to 
avoid an incompatible set of servers and drivers to be installable and
cause crashes.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 362313@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: Bill Allombert <allomber@math.u-bordeaux.fr>, 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Thu, 20 Apr 2006 22:11:06 +0200
[Message part 1 (text/plain, inline)]
On Thursday 20 April 2006 21:17, Bill Allombert wrote:
> I might be mistaken, but as I see it the server require exactly
> the video drivers for the cards configured in the xorg.conf file.
> If you have a ATI card, installing xserver-xorg-video-nv will fulfill
> the xserver-xorg-core dependency but will do no good for the server.
> Similarly installing xserver-xorg-input-synaptics will fulfill the
> dependency but will do nothing if you d not have a synaptics device.
>
> So this is a case where a dependency cannot be expressed by the system.
> In that case, we usually make them "recommends" and document them
> in the packages description.

Make sure to discuss this with tasksel and debian-cd maintainers though so 
that drivers are at least available on a new installation.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 362313@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Bill Allombert <allomber@math.u-bordeaux.fr>, 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Fri, 21 Apr 2006 12:35:16 +0200
On Thu, 2006-04-20 at 21:17 +0200, Bill Allombert wrote: 
> 
> Thirdly, I don't think users can reasonnably expect the drivers packages
> to depend on the server.

Again, the drivers are useless without the server. If that's not the
definition of 'Depends', then I don't know what is. Also, X.Org 7.1
breaks the video driver ABI, so new drivers won't work with old servers
and vice versa.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniels@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 362313@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniels@debian.org>
To: Michel Dänzer <daenzer@debian.org>, 362313@bugs.debian.org
Cc: Bill Allombert <allomber@math.u-bordeaux.fr>
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Fri, 21 Apr 2006 15:27:50 +0300
[Message part 1 (text/plain, inline)]
On Fri, Apr 21, 2006 at 12:35:16PM +0200, Michel Dänzer wrote:
> On Thu, 2006-04-20 at 21:17 +0200, Bill Allombert wrote: 
> > Thirdly, I don't think users can reasonnably expect the drivers packages
> > to depend on the server.
> 
> Again, the drivers are useless without the server. If that's not the
> definition of 'Depends', then I don't know what is. Also, X.Org 7.1
> breaks the video driver ABI, so new drivers won't work with old servers
> and vice versa.

xserver-xorg-dev installs a file called serverabiver for exactly this
reason, so drivers can version their dependencies.  This is one detail I
didn't get around to implementing in the drivers, but that's why
serverabiver is there ...
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 362313@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Daniel Stone <daniels@debian.org>
Cc: 362313@bugs.debian.org, Bill Allombert <allomber@math.u-bordeaux.fr>
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Fri, 21 Apr 2006 18:51:21 +0200
On Fri, 2006-04-21 at 15:27 +0300, Daniel Stone wrote:
> On Fri, Apr 21, 2006 at 12:35:16PM +0200, Michel Dänzer wrote:
> > On Thu, 2006-04-20 at 21:17 +0200, Bill Allombert wrote: 
> > > Thirdly, I don't think users can reasonnably expect the drivers packages
> > > to depend on the server.
> > 
> > Again, the drivers are useless without the server. If that's not the
> > definition of 'Depends', then I don't know what is. Also, X.Org 7.1
> > breaks the video driver ABI, so new drivers won't work with old servers
> > and vice versa.
> 
> xserver-xorg-dev installs a file called serverabiver for exactly this
> reason, so drivers can version their dependencies.  This is one detail I
> didn't get around to implementing in the drivers, but that's why
> serverabiver is there ...

Nice, one direction down, one left. :)


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Tags added: fixed-in-experimental Request was from David Nusinow <dnusinow@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 362313@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Sun, 27 Aug 2006 18:57:12 +0200
On Thu, Apr 13, 2006 at 11:43:03AM +0200, Bill Allombert wrote:
> Package: xserver-xorg-core
> Version: 1:7.0.10
> Severity: important
> 
> Hello X Strike Force,
> 
> The new modular xserver-xorg create a circular dependency hell:

Hello X Strike Force,

What is the status of this bug for Etch? 

Thanks in advance,
-- 
Bill. <ballombe@debian.org> (Release assistant)

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 362313@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: Bill Allombert <allomber@math.u-bordeaux.fr>, 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Sun, 27 Aug 2006 13:26:32 +0000
On Sun, Aug 27, 2006 at 06:57:12PM +0200, Bill Allombert wrote:
> On Thu, Apr 13, 2006 at 11:43:03AM +0200, Bill Allombert wrote:
> > Package: xserver-xorg-core
> > Version: 1:7.0.10
> > Severity: important
> > 
> > Hello X Strike Force,
> > 
> > The new modular xserver-xorg create a circular dependency hell:
> 
> Hello X Strike Force,
> 
> What is the status of this bug for Etch? 

Fixed in experimental I believe.

 - David Nusinow



Reply sent to dparsons@debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 362313-done@bugs.debian.org (full text, mbox):

From: Drew Parsons <dparsons@debian.org>
To: 362313-done@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Mon, 16 Oct 2006 23:09:28 +1000
> > What is the status of this bug for Etch? 
> Fixed in experimental I believe.

The version from experimental is now in unstable, so closing this bug.

Drew



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 362313@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@ens-lyon.org>
To: Drew Parsons <dparsons@debian.org>
Cc: 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Mon, 16 Oct 2006 17:37:23 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 16, 2006 at 23:09:28 +1000, Drew Parsons wrote:

> > > What is the status of this bug for Etch? 
> > Fixed in experimental I believe.
> 
> The version from experimental is now in unstable, so closing this bug.
> 
Except for the fact that the circular dependency has been readded recently:
each driver depends on xserver-xorg-core, which depends on xserver-xorg,
which depends on xserver-xorg-*-all, which depend on the drivers.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <dnusinow@speakeasy.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #77 received at 362313@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@speakeasy.net>
To: Julien Cristau <julien.cristau@ens-lyon.org>, 362313@bugs.debian.org
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Mon, 16 Oct 2006 21:41:29 -0400
On Mon, Oct 16, 2006 at 05:37:23PM +0200, Julien Cristau wrote:
> On Mon, Oct 16, 2006 at 23:09:28 +1000, Drew Parsons wrote:
> 
> > > > What is the status of this bug for Etch? 
> > > Fixed in experimental I believe.
> > 
> > The version from experimental is now in unstable, so closing this bug.
> > 
> Except for the fact that the circular dependency has been readded recently:
> each driver depends on xserver-xorg-core, which depends on xserver-xorg,
> which depends on xserver-xorg-*-all, which depend on the drivers.

That dependency on the drivers can be broken by having any one driver
installed, it merely depends on -all by default. In this sense, it behaves
exactly as before. And since it's vastly easier at present to separate the
xserver config scripts from the server itself, I'm willing to live with
this one circular dep since it fixes a real bug. afaik, we haven't seen any
actual problems with upgrades caused by these dependencies, so I'd rather
leave the bug fixed.

 - David Nusinow



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #82 received at 362313@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: David Nusinow <dnusinow@speakeasy.net>, 362313@bugs.debian.org
Cc: Julien Cristau <julien.cristau@ens-lyon.org>
Subject: Re: Bug#362313: xserver-xorg dependency hell
Date: Tue, 17 Oct 2006 12:05:46 +0200
On Mon, 2006-10-16 at 21:41 -0400, David Nusinow wrote:
> On Mon, Oct 16, 2006 at 05:37:23PM +0200, Julien Cristau wrote:
> > On Mon, Oct 16, 2006 at 23:09:28 +1000, Drew Parsons wrote:
> > 
> > > > > What is the status of this bug for Etch? 
> > > > Fixed in experimental I believe.
> > > 
> > > The version from experimental is now in unstable, so closing this bug.
> > > 
> > Except for the fact that the circular dependency has been readded recently:
> > each driver depends on xserver-xorg-core, which depends on xserver-xorg,
> > which depends on xserver-xorg-*-all, which depend on the drivers.
> 
> That dependency on the drivers can be broken by having any one driver
> installed, it merely depends on -all by default. In this sense, it behaves
> exactly as before. And since it's vastly easier at present to separate the
> xserver config scripts from the server itself, I'm willing to live with
> this one circular dep since it fixes a real bug. afaik, we haven't seen any
> actual problems with upgrades caused by these dependencies, so I'd rather
> leave the bug fixed.

By that reasoning, the dependency on drivers could be moved back from
xserver-xorg to xserver-xorg-core. Back to square one.


-- 
Earthling Michel Dänzer           |          http://tungstengraphics.com
Libre software enthusiast         |          Debian, X and DRI developer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #87 received at 362313@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: 362313@bugs.debian.org, control@bugs.debian.org
Subject: Dependency hell reintroduced in recent upload
Date: Fri, 20 Oct 2006 22:39:17 +0200
found 362313 2:1.1.1-10
quit

Hello X Strike Force,

A recent xorg upload has reintroduced the circular dependencies.

Here the details:

There is a circular dependency between xserver-xorg, xserver-xorg-core, xserver-xorg-input-all, xserver-xorg-input-evdev, xserver-xorg-input-kbd, xserver-xorg-input-mouse, xserver-xorg-input-synaptics, xserver-xorg-video-all, xserver-xorg-video-apm, xserver-xorg-video-ark, xserver-xorg-video-ati, xserver-xorg-video-chips, xserver-xorg-video-cirrus, xserver-xorg-video-cyrix, xserver-xorg-video-dummy, xserver-xorg-video-fbdev, xserver-xorg-video-glint, xserver-xorg-video-i128, xserver-xorg-video-i740, xserver-xorg-video-i810, xserver-xorg-video-imstt, xserver-xorg-video-mga, xserver-xorg-video-neomagic, xserver-xorg-video-newport, xserver-xorg-video-nsc, xserver-xorg-video-nv, xserver-xorg-video-rendition, xserver-xorg-video-s3, xserver-xorg-video-s3virge, xserver-xorg-video-savage, xserver-xorg-video-siliconmotion, xserver-xorg-video-sis, xserver-xorg-video-sisusb, xserver-xorg-video-tdfx, xserver-xorg-video-tga, xserver-xorg-video-trident, xserver-xorg-video-tseng, xserver-xorg-video-v4l, xserver-xorg-video-vesa, xserver-xorg-video-vga, xserver-xorg-video-via, xserver-xorg-video-vmware and xserver-xorg-video-voodoo:

xserver-xorg 	:Depends: xserver-xorg-core, xserver-xorg-video-all | xserver-xorg-video-1.0, xserver-xorg-input-all | xserver-xorg-input
xserver-xorg-core 	:Depends: xserver-xorg
xserver-xorg-input-all 	:Depends: xserver-xorg-input-evdev, xserver-xorg-input-kbd, xserver-xorg-input-mouse, xserver-xorg-input-synaptics
xserver-xorg-input-evdev 	:Depends: xserver-xorg-core (>= 1:0.99.0-1)
xserver-xorg-input-kbd 	:Depends: xserver-xorg-core (>= 2:1.1.1-4)
xserver-xorg-input-mouse 	:Depends: xserver-xorg-core (>= 2:1.1.1-1)
xserver-xorg-input-synaptics 	:Depends: xserver-xorg-core (>= 1.0.0)
xserver-xorg-video-all 	:Depends: xserver-xorg-video-apm, xserver-xorg-video-ark, xserver-xorg-video-ati, xserver-xorg-video-chips, xserver-xorg-video-cirrus, xserver-xorg-video-cyrix, xserver-xorg-video-dummy, xserver-xorg-video-fbdev, xserver-xorg-video-glint, xserver-xorg-video-i128, xserver-xorg-video-i740, xserver-xorg-video-i810, xserver-xorg-video-imstt, xserver-xorg-video-mga, xserver-xorg-video-neomagic, xserver-xorg-video-newport, xserver-xorg-video-nsc, xserver-xorg-video-nv, xserver-xorg-video-rendition, xserver-xorg-video-s3, xserver-xorg-video-s3virge, xserver-xorg-video-savage, xserver-xorg-video-siliconmotion, xserver-xorg-video-sis, xserver-xorg-video-sisusb, xserver-xorg-video-tdfx, xserver-xorg-video-tga, xserver-xorg-video-trident, xserver-xorg-video-tseng, xserver-xorg-video-vesa, xserver-xorg-video-vga, xserver-xorg-video-via, xserver-xorg-video-voodoo, xserver-xorg-video-vmware, xserver-xorg-video-v4l
xserver-xorg-video-apm 	:Depends: xserver-xorg-core (>= 2:1.1.1-1)
xserver-xorg-video-ark 	:Depends: xserver-xorg-core (>= 2:1.1.1-1)
xserver-xorg-video-ati 	:Depends: xserver-xorg-core (>= 2:1.1.1-1)
xserver-xorg-video-chips 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-cirrus 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-cyrix 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-dummy 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-fbdev 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-glint 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-i128 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-i740 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-i810 	:Depends: xserver-xorg-core (>= 2:1.1.1-1)
xserver-xorg-video-imstt 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-mga 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-neomagic 	:Depends: xserver-xorg-core (>= 2:1.1.1-1)
xserver-xorg-video-newport 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-nsc 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-nv 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-rendition 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-s3 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-s3virge 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-savage 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-siliconmotion 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-sis 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-sisusb 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-tdfx 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-tga 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-trident 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-tseng 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-v4l 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-vesa 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-vga 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-via 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-vmware 	:Depends: xserver-xorg-core (>= 2:1.1.1)
xserver-xorg-video-voodoo 	:Depends: xserver-xorg-core (>= 2:1.1.1)

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large blue swirl here. 



Bug marked as found in version 2:1.1.1-10. Request was from Bill Allombert <allomber@math.u-bordeaux.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-in-experimental Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 362313 412737. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #102 received at 362313@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: 435662@bugs.debian.org
Cc: debian-x@lists.debian.org, 362313@bugs.debian.org, 396613@bugs.debian.org
Subject: Re: xserver-xorg-video-all vs. -1.0 distinction breaks on upgrades to -2
Date: Sun, 7 Sep 2008 22:43:34 +0200
On Sun, Sep 07, 2008 at 10:32:29PM +0200, Josip Rodin wrote:
> xserver-xorg-video-nv used to provide the xserver-xorg-video-1.0 virtual
> package, and now the new version provides the xserver-xorg-video-2 virtual
> package. But apt isn't catching on to the idea - it's ignoring the fact
> that it can obtain xserver-xorg-video-2 simply by upgrading
> xserver-xorg-video-nv. Instead it is parsing the dependency list as if it's
> in a vacuum, seeing that xserver-xorg-video-2 isn't there, and therefore
> installing xserver-xorg-video-all.
> 
> In a simple A | B dependency, package A clearly takes precedence, that's
> what the rules say. But that is oriented towards the new installs.
> On upgrades, if B is obtained a) from an already installed package, just
> a new version of it b) at a visibly smaller cost -- then that should be
> taken into consideration.
> 
> As a workaround, I'd just purge xserver-xorg and be done with it.
> But xserver-xorg-core depends on it for some reason. The reason seems
> to be http://bugs.debian.org/392295 Surely this could have been fixed
> by putting that part of code into the xserver-xorg-core package instead
> of creating a dependency which is circular?

Apparently this is discussed in http://bugs.debian.org/362313
and there's also http://bugs.debian.org/396613

I don't seem to see any reason for all that $SERVER_SYMLINK code. Why do we
still have shared/default-x-server debconf stuff if xserver-xfree86 has been
removed from lenny?

And even so, wouldn't it be wiser to (also) handle that symlink in
the xserver-xorg-core package which actually provides the
/usr/bin/Xorg binary the link points to, rather than the meta package?

-- 
     2. That which causes joy or happiness.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #107 received at 362313@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: 435662@bugs.debian.org
Cc: debian-x@lists.debian.org, 362313@bugs.debian.org, 396613@bugs.debian.org
Subject: Re: xserver-xorg-video-all vs. -1.0 distinction breaks on upgrades to -2
Date: Sun, 7 Sep 2008 22:55:55 +0200
On Sun, Sep 07, 2008 at 10:43:34PM +0200, Josip Rodin wrote:
> > As a workaround, I'd just purge xserver-xorg and be done with it.
> > But xserver-xorg-core depends on it for some reason. The reason seems
> > to be http://bugs.debian.org/392295 Surely this could have been fixed
> > by putting that part of code into the xserver-xorg-core package instead
> > of creating a dependency which is circular?
> 
> Apparently this is discussed in http://bugs.debian.org/362313
> and there's also http://bugs.debian.org/396613
> 
> I don't seem to see any reason for all that $SERVER_SYMLINK code. Why do we
> still have shared/default-x-server debconf stuff if xserver-xfree86 has been
> removed from lenny?
> 
> And even so, wouldn't it be wiser to (also) handle that symlink in
> the xserver-xorg-core package which actually provides the
> /usr/bin/Xorg binary the link points to, rather than the meta package?

The Lintian laboratory on l.d.o can't find me any other packages' postinsts
referencing shared/default-x-server. And xserver-xfree86 was actually
a transitional package in etch already. So I have no idea why this whole
complication exists in there.

-- 
     2. That which causes joy or happiness.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #112 received at 362313@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Josip Rodin <joy@debbugs.entuzijast.net>
Cc: 435662@bugs.debian.org, debian-x@lists.debian.org, 362313@bugs.debian.org, 396613@bugs.debian.org
Subject: Re: xserver-xorg-video-all vs. -1.0 distinction breaks on upgrades to -2
Date: Sun, 7 Sep 2008 23:58:25 +0100
On Sun, Sep  7, 2008 at 22:55:55 +0200, Josip Rodin wrote:

> The Lintian laboratory on l.d.o can't find me any other packages' postinsts
> referencing shared/default-x-server. And xserver-xfree86 was actually
> a transitional package in etch already. So I have no idea why this whole
> complication exists in there.
> 
Hysterical raisins.  It should be removed at some point; patches
welcome, although not for lenny.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #117 received at 362313@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: 435662@bugs.debian.org, debian-x@lists.debian.org, 362313@bugs.debian.org, 396613@bugs.debian.org
Subject: Re: xserver-xorg-video-all vs. -1.0 distinction breaks on upgrades to -2
Date: Mon, 8 Sep 2008 01:15:42 +0200
On Sun, Sep 07, 2008 at 11:58:25PM +0100, Julien Cristau wrote:
> > The Lintian laboratory on l.d.o can't find me any other packages' postinsts
> > referencing shared/default-x-server. And xserver-xfree86 was actually
> > a transitional package in etch already. So I have no idea why this whole
> > complication exists in there.
> 
> Hysterical raisins.  It should be removed at some point; patches
> welcome, although not for lenny.

Well, it's severely impairing my upgrade *to* lenny, so I wager it's
an issue for lenny :)

Are there any external packages known to provide the symlink? ISTR some
external X server software, but I don't know if it has deb packages.

If not, is there any reason why this couldn't be a symlink shipped by
xserver-xorg-core, or an ln -s invocation in its postinst? IIRC we stopped
supporting 'jumping' upgrades (e.g. sarge->lenny) so we don't really care
if we break that old xserver-xfree86.

My point being - in that case, the patches are pretty simple.

-- 
     2. That which causes joy or happiness.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. (Thu, 04 Dec 2008 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 04 Dec 2008 20:21:05 GMT) Full text and rfc822 format available.

Message #122 received at 362313@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 362313@bugs.debian.org
Cc: debian-release@lists.debian.org, debian-testing@lists.debian.org
Subject: breaking the xserver-xorg-* circular dependency?
Date: Thu, 4 Dec 2008 21:17:14 +0100
Hi,

for some reason, the etch->lenny upgrade results in epic fail when using
aptitude, because random X driver packages get removed.

I'm not quite sure why it does that, but one candidate explanation is
the circular dependency between xserver-xorg, xserver-xorg-core and all
X drivers.  Does someone have time to test such an upgrade, first with
the packages currently in lenny, and then with a modified
xserver-xorg-core that doesn't depend on xserver-xorg?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. (Thu, 04 Dec 2008 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 04 Dec 2008 20:57:06 GMT) Full text and rfc822 format available.

Message #127 received at 362313@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 362313@bugs.debian.org, debian-release@lists.debian.org, debian-testing@lists.debian.org
Subject: Re: breaking the xserver-xorg-* circular dependency?
Date: Thu, 04 Dec 2008 21:54:21 +0100
On 2008-12-04 21:17 +0100, Julien Cristau wrote:

> Hi,
>
> for some reason, the etch->lenny upgrade results in epic fail when using
> aptitude, because random X driver packages get removed.

At least if one accepts the first solution offered by aptitude, the
subsequent ones are usually better.

> I'm not quite sure why it does that, but one candidate explanation is
> the circular dependency between xserver-xorg, xserver-xorg-core and all
> X drivers.  Does someone have time to test such an upgrade, first with
> the packages currently in lenny, and then with a modified
> xserver-xorg-core that doesn't depend on xserver-xorg?

I volunteer for such a task (probably not tomorrow, but I should have
time over the weekend).  Do you have an apt-gettable repository for the
modified xserver-xorg-core?

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. (Sat, 06 Dec 2008 16:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 06 Dec 2008 16:36:09 GMT) Full text and rfc822 format available.

Message #132 received at 362313@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 362313@bugs.debian.org, debian-release@lists.debian.org, debian-testing@lists.debian.org
Subject: Re: breaking the xserver-xorg-* circular dependency?
Date: Sat, 06 Dec 2008 17:32:26 +0100
On 2008-12-04 21:54 +0100, Sven Joachim wrote:

> On 2008-12-04 21:17 +0100, Julien Cristau wrote:
>
>> Hi,
>>
>> for some reason, the etch->lenny upgrade results in epic fail when using
>> aptitude, because random X driver packages get removed.
>
> At least if one accepts the first solution offered by aptitude, the
> subsequent ones are usually better.
>
>> I'm not quite sure why it does that, but one candidate explanation is
>> the circular dependency between xserver-xorg, xserver-xorg-core and all
>> X drivers.  Does someone have time to test such an upgrade, first with
>> the packages currently in lenny, and then with a modified
>> xserver-xorg-core that doesn't depend on xserver-xorg?

Short summary: no success, forget about the idea.  For details, read on.

> I volunteer for such a task (probably not tomorrow, but I should have
> time over the weekend).

Did this today:

- debootstrapped an etch chroot
- aptitude install xserver-xorg-core
- change sources.list to lenny
- aptitude install aptitude
- aptitude -s full-upgrade

As had been confirmed several times before, aptitude wants to remove
xserver-xorg-video-all in this situation.

>  Do you have an apt-gettable repository for the
> modified xserver-xorg-core?

Apparently not, so I built my own.  The results were less than
satisfactory:

,----
| # aptitude -s full-upgrade
| Reading package lists... Done
| Building dependency tree       
| Reading state information... Done
| Reading extended state information      
| Initializing package states... Done
| Reading task descriptions... Done  
| The following packages are BROKEN:
|   libsasl2 
| The following NEW packages will be installed:
|   bash-completion{a} dbus{a} dbus-x11{a} libdbus-1-3{a} libgnutls26{a} libhal1{a} 
|   libldap-2.4-2{a} libpixman-1-0{a} libxcb-xlib0{a} libxcb1{a} lzma{a} netcat-traditional{a} 
|   uuid-runtime{a} 
| The following packages will be REMOVED:
|   debconf-utils{u} defoma{u} discover1{u} discover1-data{u} file{u} fontconfig-config{u} 
|   libcap1{u} libdb4.2{u} libdb4.3{u} libdb4.4{u} libdiscover1{a} libfontconfig1{u} libfs6{u} 
|  libmagic1{u} libopencdk8{u} libsm6{u} libttf2{u} libxaw7{u} libxcursor1{u} libxext6{u} 
|   libxfixes3{u} libxft2{u} libxi6{u} libxkbfile1{u} libxmu6{u} libxmuu1{u} libxpm4{u} 
|   libxrandr2{u} libxrender1{u} libxss1{u} libxt6{u} libxtrap6{u} libxtst6{u} libxv1{u} 
|   libxxf86dga1{u} libxxf86vm1{u} mdetect{u} perl{u} perl-doc{u} perl-modules{u} ttf-dejavu{u} 
|   ucf{u} xbase-clients{u} xresprobe{u} xserver-xorg{u} xserver-xorg-input-all{u} 
|   xserver-xorg-input-evdev{u} xserver-xorg-input-kbd{u} xserver-xorg-input-mouse{u} 
|   xserver-xorg-input-synaptics{u} xserver-xorg-input-wacom{u} xserver-xorg-video-all{u} 
|   xserver-xorg-video-apm{a} xserver-xorg-video-ark{a} xserver-xorg-video-ati{a} 
|   xserver-xorg-video-chips{u} xserver-xorg-video-cirrus{u} xserver-xorg-video-cyrix{u} 
|   xserver-xorg-video-dummy{u} xserver-xorg-video-fbdev{a} xserver-xorg-video-glint{a} 
|   xserver-xorg-video-i128{u} xserver-xorg-video-i740{u} xserver-xorg-video-i810{u} 
|   xserver-xorg-video-imstt{u} xserver-xorg-video-mga{a} xserver-xorg-video-neomagic{u} 
|   xserver-xorg-video-newport{a} xserver-xorg-video-nsc{a} xserver-xorg-video-nv{a} 
|   xserver-xorg-video-rendition{a} xserver-xorg-video-s3{a} xserver-xorg-video-s3virge{a} 
|   xserver-xorg-video-savage{u} xserver-xorg-video-siliconmotion{a} xserver-xorg-video-sis{a} 
|   xserver-xorg-video-sisusb{u} xserver-xorg-video-tdfx{a} xserver-xorg-video-tga{a} 
|   xserver-xorg-video-trident{a} xserver-xorg-video-tseng{u} xserver-xorg-video-v4l{a} 
|   xserver-xorg-video-vesa{a} xserver-xorg-video-vga{a} xserver-xorg-video-via{a} 
|   xserver-xorg-video-vmware{u} xserver-xorg-video-voodoo{u} 
| The following packages will be upgraded:
|   adduser base-files base-passwd bash bsdmainutils bsdutils coreutils cpio cron debconf 
|   debconf-i18n debian-archive-keyring debianutils dhcp3-client dhcp3-common diff dmidecode dpkg 
|   dselect e2fslibs e2fsprogs ed findutils gcc-4.1-base gnupg gpgv grep groff-base gzip hostname 
|   ifupdown info initscripts iptables iputils-ping klogd laptop-detect libacl1 libattr1 
|   libblkid1 libbz2-1.0 libcomerr2 libdrm2 libexpat1 libfontenc1 libfreetype6 libgcc1 
|   libgcrypt11 libgpg-error0 liblocale-gettext-perl libncurses5 libnewt0.52 libpam-modules 
|   libpam-runtime libpam0g libpng12-0 libpopt0 libreadline5 libsasl2-2 libselinux1 libsepol1 
|   libsigc++-2.0-0c2a libslang2 libss2 libssl0.9.8 libtasn1-3 libtext-charwidth-perl 
|   libtext-iconv-perl libtext-wrapi18n-perl libusb-0.1-4 libuuid1 libwrap0 libx11-6 libx11-data 
|   libxau6 libxdmcp6 libxfont1 login logrotate lsb-base makedev man-db manpages mawk mktemp 
|   module-init-tools mount nano ncurses-base ncurses-bin net-tools netbase netcat openbsd-inetd 
|   passwd perl-base procps readline-common sed sysklogd sysv-rc sysvinit sysvinit-utils tar 
|   tasksel tasksel-data tcpd traceroute update-inetd util-linux vim-common vim-tiny wget 
|   whiptail x11-common xfonts-base xfonts-encodings xfonts-utils xkb-data xserver-xorg-core 
|   zlib1g 
| The following packages are RECOMMENDED but will NOT be installed:
|   bsd-mailx citadel-mta courier-mta esmtp-run exim4 exim4-daemon-heavy exim4-daemon-light 
|   heirloom-mailx libfribidi0 libsasl2-modules mailutils mailx masqmail msmtp-mta nullmailer 
|   postfix psmisc sendmail-bin ssmtp xmail 
| 121 packages upgraded, 13 newly installed, 93 to remove and 0 not upgraded.
| Need to get 42.1MB/46.2MB of archives. After unpacking 54.3MB will be freed.
| The following packages have unmet dependencies:
|   libsasl2: Depends: libsasl2-2 (= 2.1.22.dfsg1-8) but 2.1.22.dfsg1-23 is to be installed.
| The following actions will resolve these dependencies:
| 
| Remove the following packages:
| libsasl2
| 
| Install the following packages:
| libsasl2-modules [2.1.22.dfsg1-23 (testing)]
| 
| Score is 106
`----

The problem is that xserver-xorg was marked as "automatically installed"
and nothing depends on it, so aptitude decides to remove it. :-(
While this will probably not be the case on most systems, a significant
minority of them will have this problem.

Telling aptitude that I want to keep xserver-xorg runs into the original
problem where only the second solution is right:

,----
| # aptitude unmarkauto xserver-xorg
| Reading package lists... Done
| Building dependency tree       
| Reading state information... Done
| Reading extended state information      
| Initializing package states... Done
| Reading task descriptions... Done  
| No packages will be installed, upgraded, or removed.
| 0 packages upgraded, 0 newly installed, 0 to remove and 202 not upgraded.
| Need to get 0B of archives. After unpacking 0B will be used.
| Writing extended state information... Done
| Reading package lists... Done             
| Building dependency tree       
| Reading state information... Done
| Reading extended state information      
| Initializing package states... Done
| Reading task descriptions... Done  
| 
| # aptitude -s full-upgrade
| Reading package lists... Done
| Building dependency tree       
| Reading state information... Done
| Reading extended state information      
| Initializing package states... Done
| Reading task descriptions... Done  
| The following packages are BROKEN:
|   libsasl2 xserver-xorg-video-all 
| The following NEW packages will be installed:
|   bash-completion{a} cpp{a} cpp-4.3{a} dbus{a} dbus-x11{a} libdbus-1-3{a} libgl1-mesa-dri{a} libgmp3c2{a} libgnutls26{a} libhal1{a} 
|   libldap-2.4-2{a} libmpfr1ldbl{a} libpci3{a} libpixman-1-0{a} libvolume-id0{a} libxcb-xlib0{a} libxcb1{a} libxdamage1{a} lzma{a} 
|   netcat-traditional{a} udev{a} uuid-runtime{a} x11-xkb-utils{a} xserver-xorg-video-intel{a} xserver-xorg-video-mach64{a} 
|   xserver-xorg-video-r128{a} xserver-xorg-video-radeon{a} xserver-xorg-video-radeonhd{a} 
| The following packages will be REMOVED:
|   debconf-utils{u} defoma{u} discover1{u} discover1-data{u} file{u} fontconfig-config{u} libcap1{u} libdb4.2{u} libdb4.3{u} libdb4.4{u} 
|   libdiscover1{a} libfontconfig1{u} libfs6{u} libft-perl{u} libgnutls13{u} libldap2{u} liblzo1{u} libmagic1{u} libopencdk8{u} 
|   libttf2{u} libxcursor1{u} libxft2{u} libxmuu1{u} libxrandr2{u} libxrender1{u} libxss1{u} libxtrap6{u} libxtst6{u} libxv1{u} 
|   libxxf86dga1{u} mdetect{u} perl{u} perl-doc{u} perl-modules{u} ttf-dejavu{u} ucf{u} xbase-clients{u} xresprobe{u} 
|   xserver-xorg-video-apm{a} xserver-xorg-video-ark{a} xserver-xorg-video-ati{a} xserver-xorg-video-fbdev{a} xserver-xorg-video-glint{a} 
|   xserver-xorg-video-mga{a} xserver-xorg-video-newport{a} xserver-xorg-video-nsc{a} xserver-xorg-video-nv{a} 
|   xserver-xorg-video-rendition{a} xserver-xorg-video-s3{a} xserver-xorg-video-s3virge{a} xserver-xorg-video-siliconmotion{a} 
|   xserver-xorg-video-sis{a} xserver-xorg-video-tdfx{a} xserver-xorg-video-tga{a} xserver-xorg-video-trident{a} 
|   xserver-xorg-video-v4l{a} xserver-xorg-video-vesa{a} xserver-xorg-video-vga{a} xserver-xorg-video-via{a} 
| The following packages will be upgraded:
|   adduser base-files base-passwd bash bsdmainutils bsdutils coreutils cpio cron debconf debconf-i18n debian-archive-keyring debianutils 
|   dhcp3-client dhcp3-common diff dmidecode dpkg dselect e2fslibs e2fsprogs ed findutils gcc-4.1-base gnupg gpgv grep groff-base gzip 
|   hostname ifupdown info initscripts iptables iputils-ping klogd laptop-detect libacl1 libattr1 libblkid1 libbz2-1.0 libcomerr2 libdrm2 
|   libexpat1 libfontenc1 libfreetype6 libgcc1 libgcrypt11 libgl1-mesa-glx libgpg-error0 libice6 liblocale-gettext-perl libncurses5 
|   libnewt0.52 libpam-modules libpam-runtime libpam0g libpng12-0 libpopt0 libreadline5 libsasl2-2 libselinux1 libsepol1 
|   libsigc++-2.0-0c2a libslang2 libsm6 libss2 libssl0.9.8 libtasn1-3 libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl 
|   libusb-0.1-4 libuuid1 libwrap0 libx11-6 libx11-data libxau6 libxaw7 libxdmcp6 libxext6 libxfixes3 libxfont1 libxi6 libxkbfile1 
|   libxmu6 libxpm4 libxt6 libxxf86vm1 login logrotate lsb-base makedev man-db manpages mawk mktemp module-init-tools mount nano 
|   ncurses-base ncurses-bin net-tools netbase netcat openbsd-inetd passwd perl-base procps readline-common sed sysklogd sysv-rc sysvinit 
|   sysvinit-utils tar tasksel tasksel-data tcpd traceroute update-inetd util-linux vim-common vim-tiny wget whiptail x11-common 
|   xfonts-base xfonts-encodings xfonts-utils xkb-data xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev 
|   xserver-xorg-input-kbd xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-wacom xserver-xorg-video-chips 
|   xserver-xorg-video-cirrus xserver-xorg-video-cyrix xserver-xorg-video-dummy xserver-xorg-video-i128 xserver-xorg-video-i740 
|   xserver-xorg-video-i810 xserver-xorg-video-imstt xserver-xorg-video-neomagic xserver-xorg-video-savage xserver-xorg-video-sisusb 
|   xserver-xorg-video-tseng xserver-xorg-video-vmware xserver-xorg-video-voodoo zlib1g 
| The following packages are RECOMMENDED but will NOT be installed:
|   bsd-mailx citadel-mta courier-mta esmtp-run exim4 exim4-daemon-heavy exim4-daemon-light heirloom-mailx libfribidi0 libsasl2-modules 
|   mailutils mailx masqmail msmtp-mta nullmailer postfix psmisc sendmail-bin ssmtp xmail 
| 155 packages upgraded, 28 newly installed, 59 to remove and 0 not upgraded.
| Need to get 62.2MB/66.3MB of archives. After unpacking 1002kB will be freed.
| The following packages have unmet dependencies:
|   libsasl2: Depends: libsasl2-2 (= 2.1.22.dfsg1-8) but 2.1.22.dfsg1-23 is to be installed.
|   xserver-xorg-video-all: Depends: xserver-xorg-video-apm but it is not installable
|                           Depends: xserver-xorg-video-ark but it is not installable
|                           Depends: xserver-xorg-video-ati but it is not installable
|                           Depends: xserver-xorg-video-fbdev but it is not installable
|                           Depends: xserver-xorg-video-glint but it is not installable
|                           Depends: xserver-xorg-video-mga but it is not installable
|                           Depends: xserver-xorg-video-nsc but it is not installable
|                           Depends: xserver-xorg-video-nv but it is not installable
|                           Depends: xserver-xorg-video-rendition but it is not installable
|                           Depends: xserver-xorg-video-s3 but it is not installable
|                           Depends: xserver-xorg-video-s3virge but it is not installable
|                           Depends: xserver-xorg-video-siliconmotion but it is not installable
|                           Depends: xserver-xorg-video-sis but it is not installable
|                           Depends: xserver-xorg-video-tdfx but it is not installable
|                           Depends: xserver-xorg-video-tga but it is not installable
|                           Depends: xserver-xorg-video-trident but it is not installable
|                          Depends: xserver-xorg-video-vesa but it is not installable
|                           Depends: xserver-xorg-video-vga but it is not installable
|                           Depends: xserver-xorg-video-openchrome but it is not installable or
|                                    xserver-xorg-video-via but it is not installable
|                           Depends: xserver-xorg-video-v4l but it is not installable
| The following actions will resolve these dependencies:
| 
| Remove the following packages:
| libsasl2
| xserver-xorg-video-all
| 
| Install the following packages:
| libsasl2-modules [2.1.22.dfsg1-23 (testing)]
| 
| Score is -185
| 
| Accept this solution? [Y/n/q/?] n
| The following actions will resolve these dependencies:
| 
| Remove the following packages:
| libsasl2
| 
| Install the following packages:
| libsasl2-modules [2.1.22.dfsg1-23 (testing)]
| 
| Upgrade the following packages:
| xserver-xorg-video-apm [1:1.1.1-3 (now) -> 1:1.2.0-1 (testing)]
| xserver-xorg-video-ark [1:0.6.0-3 (now) -> 1:0.7.0-1 (testing)]
| xserver-xorg-video-ati [1:6.6.3-2 (now) -> 1:6.9.0-1+lenny4 (testing)]
| xserver-xorg-video-fbdev [1:0.3.1-1 (now) -> 1:0.4.0-1 (testing)]
| xserver-xorg-video-glint [1:1.1.1-3 (now) -> 1:1.2.1-1 (testing)]
| xserver-xorg-video-mga [1:1.4.4.dfsg.1-2 (now) -> 1:1.4.9.dfsg-1 (testing)]
| xserver-xorg-video-nsc [1:2.8.1-3 (now) -> 1:2.8.3-4 (testing)]
| xserver-xorg-video-nv [1:2.0.3-1 (now) -> 1:2.1.10-1 (testing)]
| xserver-xorg-video-rendition [1:4.1.0.dfsg.1-4 (now) -> 1:4.2.0.dfsg.1-2 (testing)]
| xserver-xorg-video-s3 [1:0.4.1-5 (now) -> 1:0.6.0-1 (testing)]
| xserver-xorg-video-s3virge [1:1.9.1-3 (now) -> 1:1.10.1-1 (testing)]
| xserver-xorg-video-siliconmotion [1:1.4.1-4 (now) -> 1:1.6.0-1 (testing)]
| xserver-xorg-video-sis [1:0.9.1-4 (now) -> 1:0.10.0-1 (testing)]
| xserver-xorg-video-tdfx [1:1.3.0-1 (now) -> 1:1.4.0-1 (testing)]
| xserver-xorg-video-tga [1:1.1.0-3 (now) -> 1:1.1.0-9 (testing)]
| xserver-xorg-video-trident [1:1.2.3-1 (now) -> 1:1.3.0-1 (testing)]
| xserver-xorg-video-v4l [0.1.1-3 (now) -> 0.2.0-1 (testing)]
| xserver-xorg-video-vesa [1:1.3.0-1 (now) -> 1:1.3.0-4 (testing)]
| xserver-xorg-video-vga [1:4.1.0-3 (now) -> 1:4.1.0-8 (testing)]
| xserver-xorg-video-via [1:0.2.1-6 (now) -> 1:0.2.2-6 (testing)]
| 
| Score is 1526
| 
| Accept this solution? [Y/n/q/?] 
`----

The same as with the packages currently in Lenny, so we can probably
forget about the idea.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. (Fri, 17 Apr 2009 08:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 17 Apr 2009 08:48:08 GMT) Full text and rfc822 format available.

Message #137 received at 362313@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 362313@bugs.debian.org
Subject: yet another devil in the xorg dependency hell
Date: Fri, 17 Apr 2009 10:45:39 +0200
Hi,

I just discovered another problem related to the xorg dependency hell.
On my laptop, where I don't want to upgrade to xorg 7.4 just yet, I
tried to put it on hold with "aptitude hold xserver-xorg".  Much to my
surprise, "aptitude safe-upgrade" would upgrade xserver-xorg-core and
the input drivers anyway!  That's possible because xserver-xorg does not
have a versioned dependency on xserver-xorg-{video,input}-all.

The likely result of upgrading xserver-xorg-core but not xserver-xorg is
breakage with non-US keyboards; but if hal is not installed, the damage
will be more severe, since then all input devices stop working without
warning.

Why do we need an extra xserver-xorg package anyway?  Would it not be
possible to move everything to xserver-xorg-core, reducing the cyclic
dependencies?

Sven






Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#362313; Package xserver-xorg-core. (Thu, 26 Aug 2010 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yoram Bar-Haim <bhyoram@zahav.net.il>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 26 Aug 2010 21:45:03 GMT) Full text and rfc822 format available.

Message #142 received at 362313@bugs.debian.org (full text, mbox):

From: Yoram Bar-Haim <bhyoram@zahav.net.il>
To: 362313@bugs.debian.org
Subject: Dependency hell in experimental makes xserver-xorg-core not installable
Date: Fri, 27 Aug 2010 00:40:30 +0300
As you can see in the following output, xserver-xorg-core/experimental depends 
(thru xserver-xorg/unstable) on input/video drivers which are all depend on 
virtual packages like xorg-input-abi-7.0 and xorg-video-abi-6.0 that are only 
provided by xserver-xorg-core in unstable...
-- 
Linux box 2.6.35-l1-l1 #1 Mon Aug 23 22:37:37 IDT 2010 i686 GNU/Linux




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Thu, 17 Feb 2011 00:36:03 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Bug acknowledged by developer. (Thu, 17 Feb 2011 00:36:03 GMT) Full text and rfc822 format available.

Message #147 received at 362313-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 362313-close@bugs.debian.org
Subject: Bug#362313: fixed in xorg-server 2:1.9.4-2
Date: Thu, 17 Feb 2011 00:32:48 +0000
Source: xorg-server
Source-Version: 2:1.9.4-2

We believe that the bug you reported is fixed in the latest version of
xorg-server, which is due to be installed in the Debian FTP archive:

xdmx-tools_1.9.4-2_amd64.deb
  to main/x/xorg-server/xdmx-tools_1.9.4-2_amd64.deb
xdmx_1.9.4-2_amd64.deb
  to main/x/xorg-server/xdmx_1.9.4-2_amd64.deb
xnest_1.9.4-2_amd64.deb
  to main/x/xorg-server/xnest_1.9.4-2_amd64.deb
xorg-server_1.9.4-2.diff.gz
  to main/x/xorg-server/xorg-server_1.9.4-2.diff.gz
xorg-server_1.9.4-2.dsc
  to main/x/xorg-server/xorg-server_1.9.4-2.dsc
xserver-common_1.9.4-2_all.deb
  to main/x/xorg-server/xserver-common_1.9.4-2_all.deb
xserver-xephyr_1.9.4-2_amd64.deb
  to main/x/xorg-server/xserver-xephyr_1.9.4-2_amd64.deb
xserver-xfbdev_1.9.4-2_amd64.deb
  to main/x/xorg-server/xserver-xfbdev_1.9.4-2_amd64.deb
xserver-xorg-core-dbg_1.9.4-2_amd64.deb
  to main/x/xorg-server/xserver-xorg-core-dbg_1.9.4-2_amd64.deb
xserver-xorg-core-udeb_1.9.4-2_amd64.udeb
  to main/x/xorg-server/xserver-xorg-core-udeb_1.9.4-2_amd64.udeb
xserver-xorg-core_1.9.4-2_amd64.deb
  to main/x/xorg-server/xserver-xorg-core_1.9.4-2_amd64.deb
xserver-xorg-dev_1.9.4-2_amd64.deb
  to main/x/xorg-server/xserver-xorg-dev_1.9.4-2_amd64.deb
xvfb_1.9.4-2_amd64.deb
  to main/x/xorg-server/xvfb_1.9.4-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362313@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xorg-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 Feb 2011 23:17:07 +0100
Source: xorg-server
Binary: xserver-xorg-core xserver-xorg-core-udeb xserver-xorg-dev xdmx xdmx-tools xnest xvfb xserver-xephyr xserver-xfbdev xserver-xorg-core-dbg xserver-common
Architecture: source all amd64
Version: 2:1.9.4-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xdmx       - distributed multihead X server
 xdmx-tools - Distributed Multihead X tools
 xnest      - Nested X server
 xserver-common - common files used by various X servers
 xserver-xephyr - nested X server
 xserver-xfbdev - Linux framebuffer device tiny X server
 xserver-xorg-core - Xorg X server - core server
 xserver-xorg-core-dbg - Xorg - the X.Org X server (debugging symbols)
 xserver-xorg-core-udeb - Xorg X server - core server (udeb)
 xserver-xorg-dev - Xorg X server - development files
 xvfb       - Virtual Framebuffer 'fake' X server
Closes: 362313
Changes: 
 xorg-server (2:1.9.4-2) unstable; urgency=low
 .
   * Put an end to the dependency hell! Now that we have proper
     dependencies between drivers and the server, remove xserver-xorg from
     xserver-xorg-core's Depends (Closes: #362313). In a nutshell, one may
     want to choose between installing:
     - xserver-xorg-core: the server itself, with no strings attached.
     - xserver-xorg: pulls the server and drivers, contains the X wrapper
       and some documentation.
     - xorg: pulls xserver-xorg as well as various X11 clients and fonts.
   * bug script: Report KMS configuration files and their contents.
   * bug script: Keep only one lspci call (with proper filtering), which
     makes PCI IDs come back.
   * bug script: Report libGL-related diversions.
   * Stop providing xorg-input-abi-11.0 and xorg-video-abi-8.0 now that
     drivers have reached unstable.
   * Merge server-1.9-branch up to 0a4b0de9af.
Checksums-Sha1: 
 148b85cae8fd5e12fc99c326a779f42928c73afb 3090 xorg-server_1.9.4-2.dsc
 444940fce6f6c63dbabdd86aa7b2502b892b50af 354382 xorg-server_1.9.4-2.diff.gz
 bfe1cce876bdf26c3ddf84eb5d00454280b1ee68 1107612 xserver-common_1.9.4-2_all.deb
 1848b1568b8cf80267d6307588b2595370dc6b7f 1711690 xserver-xorg-core_1.9.4-2_amd64.deb
 36986365852bfa34d0f9d838667fd19465e85d8c 1031224 xserver-xorg-core-udeb_1.9.4-2_amd64.udeb
 b20d64aefe24cca54be6c67111798be12947e82c 303790 xserver-xorg-dev_1.9.4-2_amd64.deb
 71852b3ebde916703496110c55583e321791b10a 861052 xdmx_1.9.4-2_amd64.deb
 1a3b06623259373a9a6c6ad9cdf970fdf7a5e764 112948 xdmx-tools_1.9.4-2_amd64.deb
 77d6d70fa459ab4bc4f1232709b397e75aa5c4e2 771312 xnest_1.9.4-2_amd64.deb
 cf7f63bea9501c0132d27c46cb8143b12b6adf02 888804 xvfb_1.9.4-2_amd64.deb
 8f45a5dce0716a85da285905bd4196a608ae626f 981892 xserver-xephyr_1.9.4-2_amd64.deb
 79817a3d15994108bb316792368ec73632ba96a8 903518 xserver-xfbdev_1.9.4-2_amd64.deb
 36d92eaff73ef7e86e8c75b2a11ff68ac7a28e40 5623140 xserver-xorg-core-dbg_1.9.4-2_amd64.deb
Checksums-Sha256: 
 dc5c55bc086f7a496ac98ef438e1717c8a30b1e0e170502f5a93fee1d9507400 3090 xorg-server_1.9.4-2.dsc
 157517d3fee569fd1f8d72fbea408955800ab5781ee06e00836669ae0330da82 354382 xorg-server_1.9.4-2.diff.gz
 f8e1d3847d398969ba28177a18a38f74daccafb249abf3e02917ed4d520cab66 1107612 xserver-common_1.9.4-2_all.deb
 793c6b4fe9ad182a6ec632d69d72e87a591cf9124187c5a8bff18a02b4c9f055 1711690 xserver-xorg-core_1.9.4-2_amd64.deb
 a8198ea7182ffbbf0096fd08291d5fbefcaadce30252f8a43654bc07e5c5694f 1031224 xserver-xorg-core-udeb_1.9.4-2_amd64.udeb
 fdf1af927c43de1df7f1269177c7aa7c2f2d6aefe35ddeda2d344a779c65f39a 303790 xserver-xorg-dev_1.9.4-2_amd64.deb
 a83442146c3a6d8eb975cb512e1c6d2fa35f425ec88815d85e1f9a03f0adfb59 861052 xdmx_1.9.4-2_amd64.deb
 8eef20a9101fb0c4d4c2084dccc750cd2df0141a35b089c04d04d0daebd0bad9 112948 xdmx-tools_1.9.4-2_amd64.deb
 1c451e9d548523985d65db88345ab3726c990651b6d198c4d4515a5d80c48cdd 771312 xnest_1.9.4-2_amd64.deb
 349ad7de9f8cc77e6a37f8154f5a79bd3da4de2244476fa315fbd0714ebfd705 888804 xvfb_1.9.4-2_amd64.deb
 7fd7fcb7aa344fcd753207f92ff45e9526028f06183e238bdc4b871dd960d54f 981892 xserver-xephyr_1.9.4-2_amd64.deb
 4b0fc372cf56f88557bfd267bfbc9c53ec04420e9156488e74dc8c0460f073e2 903518 xserver-xfbdev_1.9.4-2_amd64.deb
 6d36c4b276d265ea6fd4d8813f646287d6f232adf8d9e95677bc0ca3fd1a6489 5623140 xserver-xorg-core-dbg_1.9.4-2_amd64.deb
Files: 
 f125c205b411d99b6f31fee2dd5f2abc 3090 x11 optional xorg-server_1.9.4-2.dsc
 48c909b320068f881068cc6db1e58be9 354382 x11 optional xorg-server_1.9.4-2.diff.gz
 5e845557566e52b60c8d2fd090e54683 1107612 x11 optional xserver-common_1.9.4-2_all.deb
 ca9be824ec7250bfbdb5d014b6325bd4 1711690 x11 optional xserver-xorg-core_1.9.4-2_amd64.deb
 fb89405e7f591e0e5909a7298ac09de6 1031224 debian-installer optional xserver-xorg-core-udeb_1.9.4-2_amd64.udeb
 edcdfb3d2183a080066bf6ef6839bc09 303790 x11 optional xserver-xorg-dev_1.9.4-2_amd64.deb
 ea9654a5a105d043b194f87412daea20 861052 x11 optional xdmx_1.9.4-2_amd64.deb
 526435ede18a19ed8619dc82c22c7fd3 112948 x11 optional xdmx-tools_1.9.4-2_amd64.deb
 87ea0856974427b543f78bbae1051948 771312 x11 optional xnest_1.9.4-2_amd64.deb
 31f26f830bd27f644079c1596695bce5 888804 x11 optional xvfb_1.9.4-2_amd64.deb
 8b18832827dd1508807f337f2e4a1476 981892 x11 optional xserver-xephyr_1.9.4-2_amd64.deb
 815da29fc7800fd844a6259f1e2b5339 903518 x11 optional xserver-xfbdev_1.9.4-2_amd64.deb
 e4d0ace3ad00a88b42f183d0c7220339 5623140 debug extra xserver-xorg-core-dbg_1.9.4-2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1cVQsACgkQeGfVPHR5Nd3nrgCfRxXZ539CP4uq5iIK3OqCwpXs
oiUAn3nVGa9fmu3XLHPgrk3VySSxRGG4
=AN8Z
-----END PGP SIGNATURE-----





Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Thu, 17 Feb 2011 00:36:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Hartmann <andi@ahash.de>:
Bug acknowledged by developer. (Thu, 17 Feb 2011 00:36:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 May 2011 07:33:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:24:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.